## initramfs-tools 0.92bubuntu78

=== src/Makefile ===
UDEV_CFLAGS = $(shell pkg-config --cflags libudev)
UDEV_LIBS = $(shell pkg-config --libs libudev)

CC = gcc
CFLAGS = -g -Wall -O2 $(UDEV_CFLAGS)
LDFLAGS =


.PHONY: all
all: wait-for-root

wait-for-root: wait-for-root.o
	$(CC) $(LDFLAGS) -o $@ $< $(UDEV_LIBS)

.PHONY: clean
clean:
	rm -f wait-for-root.o wait-for-root core *~

## initramfs-tools 0.32

=== debian/changelog ===
initramfs-tools (0.32) breezy; urgency=low

  "An idea that is not dangerous is unworthy of being called an idea
   at all."
  - Oscar Wilde

  * scripts/nfs (mountroot): New variable: NFSOPTS, default to
    -o retranfs=10, hopefully closes 12942.  The can be
    overridden in the initramfs.conf file.
    Thanks to Oliver Grawert for testing this!

  * hook-scripts (auto_add_modules): Add jfs
    (dep_add_modules): Ditto.
    (Ubuntu #16742)
    Thanks to Colin Watson for this fix!

 -- Jeff Bailey <jbailey@ubuntu.com>  Mon,  3 Oct 2005 23:03:23 -0400

initramfs-tools (0.31) breezy; urgency=low

  * Make us a bit more silent/tidy by default, unless "quiet" isn't on
    the kernel's command line (then we're just as verbose as ever)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat,  1 Oct 2005 05:04:15 +1000

initramfs-tools (0.30) breezy; urgency=low

  "The imagination imitates. It is the critical spirit that creates."
  - Oscar Wilde

  * scripts/functions (log_begin_msg): Call usplash if available
  (log_end_msg): Call usplash if available
  (panic): Close usplash if available

  * debian/init: Add "Loading, please wait..." message.
  Don't log for init-top scripts to avoid usplash noise.

  * HACKING: Start of some notes on how this package actually works.
  * debian/initramfs-tools.docs: Install it.

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 27 Sep 2005 23:15:31 -0400

initramfs-tools (0.29) breezy; urgency=low

  "Beauty is a form of genius - is higher, indeed, than genius, as it
   needs no explanation."
  - Oscar Wilde

  * hook-functions (auto_add_modules): Add advansys.

  * debian/rules: Make sure hooks and scripts are chmod +x

  * init: Add start of debug command line option.

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 20 Sep 2005 15:47:42 -0400

initramfs-tools (0.28) breezy; urgency=low

  * Run udevstart after loading block drivers - should fix resume from 
    hibernate on non-LVM systems.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 20 Sep 2005 01:13:31 +0100

initramfs-tools (0.27) breezy; urgency=low

  "Always forgive your enemies; nothing annoys them so much."
  - Oscar Wilde

  * update-initramfs: Use basename on the link target to get the
    version number.

  * scripts/local-premount/suspend: Quote resume variable.
  * scripts/functions (load_modules): Quote resume variable.
    Thanks to Christian Kellner for helping test that!

 -- Jeff Bailey <jbailey@ubuntu.com>  Mon, 19 Sep 2005 17:52:49 -0400

initramfs-tools (0.26) breezy; urgency=low

  "Experience is one thing you can't get for nothing."
  - Oscar Wilde 

  * scripts/local-top/lvm: Reduce -- to - in VG strings for feeding
    to vgchange.  (Ubuntu: #13387)

  * update-initramfs: New file
  * debian/dirs: Add /var/lib/initramfs-tools

  * hooks/evms: New file
  * scripts/local-top/evms: New file.
    Thanks to Jerry Haltom for helping test this!

  * debian/control: Bump klibc depends to 1.0.14-1ubuntu2 for jfs support

  * hook-scripts (manual_add_modules): Don't do unnecessary depmod
    (dep_add_modules): No need for a sleep 2 here.
    Thanks to Matt Zimmmerman for noticing these!

  * scripts/functions: Attempt resume before loading USB or Network
    modules to avoid resume issues with USB.
    Thanks to Matthew Garrett for this patch!

  * scripts/functions (ide_boot_events): Always load ide-generic
    before going further.  This allows us to catch any hidden
    IDE controllers that might not otherwise get found.

  * initramfs.conf.5: New file
  * debian/initramfs-tools.manpages: Install it.
    Thanks to maximilian attems for the manpage!

  * hook-functions (auto_add_modules): Add mptscsih (Ubuntu #15406)
    Thanks to Jesper Krogh for the bug report!

  * debian/dirs: Add etc/mkinitramfs/hooks, move all scripts subdirs
    into etc/mkinitramfs/scripts.

  * mkinitramfs: Set the umask.  Copy the scripts from  
    /etc/mkinitramfs/scripts into the image.
    Make sure that modules file lists is actually a regular file.

  * init: Use ${rootmnt} instead of hardcoded /root, use mount -n
    Fix typo.

  * hook-functions (catenate_cpiogz): Add sanity check.
    (add_modules_from_file): Document, quote variable, add warning.

  * docs/example_hook: Update
    Thanks to Karl Hegbloom for these previous 5 patches!

  * init: Create /var/lock on the initramfs
    Thanks to Jerry Haltom for noticing this!

  * debian/dirs: rename to ...
  * debian/initramfs-tools.dirs: ... this.

  * scripts/functions (scsi_boot_events): Don't attempt to look
    at ${device}/type if it doesn't actually exist.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 14 Sep 2005 14:12:24 -0400

initramfs-tools (0.25) breezy; urgency=low

  "If there was less sympathy in the world, there would be less
   trouble in the world."
  - Oscar Wilde

  * init: Module the /dev tmpfs earlier.  Make /dev/console, and
    /dev/null on it at the beginning, just in case.

  * debian/initramfs-tools.postinst: When copying the modules file over
    from initrd-tools installations, filter out ext2, ext3, ide-generic
    and ide-disk.  These are leftovers from Warty.
    (Ubuntu #14242)

  * hooks/udev: New File (Ubuntu #12915)

  * init: panic if ${init} doesn't exist on the target filesystem.

 -- Jeff Bailey <jbailey@ubuntu.com>  Thu,  1 Sep 2005 00:13:47 -0400

initramfs-tools (0.24) breezy; urgency=low

  "Experience is simply the name we give out mistakes."
  - Oscar Wilde

  * hook-functions (auto_add_modules): Add cciss
    (Ubuntu #14177) Thanks Fabionne!

  * scripts/functions (parse_numeric): Noop on empty parameter.
    Fixes LTSP boot failure.  Thanks to Oliver Grawert
    for testing!

  * scripts/local-top/md: Don't run modprobe when raidlvl is unset.
    Run mdadm if raidlvl has ever been set, not just if the most
    recent device checked was part of the raid setup.
    Thanks to Jeff Waugh for the bug report!

  * mkinitramfs: Feed the -o argument through readlink -f to
    get the canonical pathname.



=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Maintainer: Jeff Bailey <jbailey@ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.6.2.0

Package: initramfs-tools
Architecture: all
Depends: klibc-utils (>= 1.0.14-1ubuntu2), busybox-cvs-initramfs (>= 20040623-1ubuntu19), cpio, mdadm, lvm2 (>= 2.01.04-5), udev
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for prepackaged
 2.6 Linux kernel. The initramfs is an cpio archive. At boot time, the kernel
 unpacks that archive into ram, mounts and uses it as initial root file system.
 From there on the mounting of the real root file system occurs in user space.
 klibc handles the boot-time networking setup. Supports nfs root system.
 Any boot loader with initrd support is able to load an initramfs archive.

## initramfs-tools 0.40ubuntu32

=== debian/changelog ===
initramfs-tools (0.40ubuntu32) dapper; urgency=low

  * Revert 0.40ubuntu31.  This isn't as trivial as it should be.

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 21 May 2006 10:17:50 -0700

initramfs-tools (0.40ubuntu31) dapper; urgency=low

  * scripts/local-premount/resume: Print a message when a resume is about to
    begin (LP#41137)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 19 May 2006 15:14:53 -0700

initramfs-tools (0.40ubuntu30) dapper; urgency=low

  * This release brought to you by Fujitsu hard drives, which have forced
    me to rewrite all my most recent initramfs-tools changes from memory.
  * Include arcmsr module in the scsi module list (launchpad.net/40075)
  * Abstract out the kernel minversion checking stuff into the function
    library, so we can reuse it to check minversion requirements for hook
    scripts as well (such as udev, which requires >= 2.6.15 in dapper)
  * Bump the kernel minversion to 2.6.15 on hppa and ia64, since they used
    initrd-tools with their 2.6.12 kernels in breezy, not initramfs-tools.
  * If mkinitramfs fails due to minversion not being met, don't bail out
    of update-initramfs, but just exit 0, so upgrades don't halt on it.
  * Conditionalise the use of lvm and md in mkinitramfs so it's a no-op if
    you don't have those packages installed, but allows for smooth upgrades
    if you have older versions that don't ship their own hooks yet.
  * Make prereqs conditional on the script/hook actually existing.  From
    now on, this means that 'PREREQ="udev"' means "run udev first, iff it
    happens to be installed".  Having the files exist on the filesystem if
    you have a HARD dependency should be enforced with package dependencies.
  * Add ohci1394 and sbp2 to the scsi module list (launchpad.net/37479)
  * Move framebuffer setup from usplash to scripts/local-top/framebuffer
    so that people booting with vga=1234 but no splash will still get a
    framebuffer instead of a useless black console (launchpad.net/27669)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 May 2006 19:51:08 +1000

initramfs-tools (0.40ubuntu29) dapper; urgency=low

  * Make "update-initramfs -u" try to find the running kernel *after* it
    attempts to search the symbolic link list and its own sha1 list.
    Using this as a fallback, rather than the default, should solve most
    upgrade issues, where people found their initramfs was half-baked.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 19 Apr 2006 13:51:35 +1000

initramfs-tools (0.40ubuntu28) dapper; urgency=low

  * Add raid10 module to the generic module list (launchpad.net/28028)
  * Add cpqarray to the scsi module list (launchpad.net/{26632,35202})
  * Unset debug before we run the real init (launchpad.net/24095)
  * Add the gdth module to the default scsi list (launchpad.net/31542)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 24 Mar 2006 04:33:44 +1100

initramfs-tools (0.40ubuntu27) dapper; urgency=low

  * Drop the evms, lvm and md local-top scripts; they're all provided by
    their own packages now.  This makes the depdencies rather nicer.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 23 Mar 2006 18:04:48 +0000

initramfs-tools (0.40ubuntu26) dapper; urgency=low

  * Make the md and evms local-top scripts pre-requisite the udev one.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 23 Mar 2006 17:54:32 +0000

initramfs-tools (0.40ubuntu25) dapper; urgency=low

  * Move the "loop waiting for the root filesystem" code from the udev
    premount script to the local mountroot() function where it truly
    belongs.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 22 Mar 2006 16:28:46 +0000

initramfs-tools (0.40ubuntu24) dapper; urgency=low

  * Add support for LSI Logic's Fusion MPT SAS and FC controllers as well.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Feb 2006 23:27:16 +1100

initramfs-tools (0.40ubuntu23) dapper; urgency=low

  * Grow a conf.d directory for config snippets, and toss the RESUME option
    in there, to stop editing our own conffile in our maintainer scripts.
  * Add a cleverly hackish preinst that will pull the RESUME setting from
    old config files, migrate it to conf.d/resume, and reset that part of the
    conffile to a factory fresh state.  This should fix the unwanted conffile
    prompt in breezy->dapper upgrades for people who made no local changes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Feb 2006 15:34:53 +1100

initramfs-tools (0.40ubuntu22) dapper; urgency=low

  * Add mptspi to the list of SCSI modules put in the initramfs by default,
    which is required for some LSI Logic controllers and for the VMware SCSI
    controller in recent VMware versions (See launchpad.net/{27187,31229})
  * Fix typo of /dev/disk/by-*, which I wrote as /dev/disks/by-{uuid,label}
  * Load i2c-keywest before loading therm_pm72 in the PowerPC thermal hook,
    since the latter sometimes needs the former (Closes launchpad.net/27269)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Feb 2006 23:28:35 +1100

initramfs-tools (0.40ubuntu21) dapper; urgency=low

  * Don't update the progress bar once udev has taken /dev away;
    after all, we can't contact usplash anyway at this point.

 -- Scott James Remnant <scott@ubuntu.com>  Wed,  8 Feb 2006 14:34:10 +0000

initramfs-tools (0.40ubuntu20) dapper; urgency=low

  * Add ... to end of strings to match main boot sequence.

 -- Scott James Remnant <scott@ubuntu.com>  Tue,  7 Feb 2006 11:07:50 +0000

initramfs-tools (0.40ubuntu19) dapper; urgency=low

  * Change the first of many "Loading modules" to "Loading essential drivers"
    to improve debugging when people say it breaks at that stage.

 -- Scott James Remnant <scott@ubuntu.com>  Tue,  7 Feb 2006 11:05:15 +0000

initramfs-tools (0.40ubuntu18) dapper; urgency=low

  * Add support for selecting root by UUID or LABEL with syntax such as:
    root=LABEL=myrootfs or root=UUID=92addf34-0f02-4a0e-bfb2-cbaa1e907b77

 -- Adam Conrad <adconrad@ubuntu.com>  Fri,  3 Feb 2006 15:55:01 +0000



## initramfs-tools 0.40ubuntu34

=== debian/changelog ===
initramfs-tools (0.40ubuntu34) dapper-proposed; urgency=low

  * Added DAC960 to auto scsi modules
    - LP: #31035

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 18 Oct 2007 11:12:23 -0400

initramfs-tools (0.40ubuntu33) dapper-proposed; urgency=low

  * Add megaraid_sas to initrd:
    - LP: #56854
  * Include qla firmware in initrd
    - LP: #74004

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 17 Oct 2007 08:50:14 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: initramfs-tools
 Architecture: all
-Depends: klibc-utils (>= 1.0.14-1ubuntu2), busybox-cvs-initramfs (>= 20040623-1ubuntu19), cpio, mdadm, lvm2 (>= 2.01.04-5), udev
+Depends: klibc-utils (>= 1.1.16-1), busybox-initramfs, cpio
 Description: tools for generating an initramfs
  This package contains tools to create and boot an initramfs for prepackaged
  2.6 Linux kernel. The initramfs is an cpio archive. At boot time, the kernel

## initramfs-tools 0.69ubuntu20

=== debian/changelog ===
initramfs-tools (0.69ubuntu20) edgy; urgency=low

  * Add the LSI Logic MegaRAID SAS Driver (megaraid_sas) to the SCSI
    module list, common on newer Dell PowerEdge servers, among others.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Oct 2006 18:16:15 +1000

initramfs-tools (0.69ubuntu19) edgy; urgency=low

  * Check for "modules.dep" before running depmod, not "modules.depmod"
    which won't ever exist.  This caused depmod to be run after live
    filesystem generation without the restricted modules available, it
    could also randomly cause the same to happen on upgrades depending
    on the order packages are configured.  Ubuntu: #60938.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 24 Oct 2006 18:51:09 +0100

initramfs-tools (0.69ubuntu18) edgy; urgency=low

  * Anchor regex in sed command to revert conffile edits, to avoid
    double-commenting RESUME= and causing a conffile prompt on upgrades
    (Closes: LP#66599)

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 18 Oct 2006 04:54:45 -0700

initramfs-tools (0.69ubuntu17) edgy; urgency=low

  [ Tollef Fog Heen ]
  * Load vga16fb on amd64.

  [ Adam Conrad ]
  * ... but only when booting with a splash.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Oct 2006 12:29:35 +1000

initramfs-tools (0.69ubuntu16) edgy; urgency=low

  * Bring in preinst fixes from Debian, including s/configure/install/ in
    preinst, since preinst is never called with "configure", and checking
    for /proc/swaps before we blindly try to read it to determine RESUME.
  * Do away with the bogus '-n "$2"' test in preinst, since "install" can
    be called without any arguments at all (and often is, on a clean setup)
  * On upgrades, revert the RESUME mangling that dapper's d-i did to our
    config file, avoiding spurious conffile prompts (launchpad.net/63693)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Oct 2006 17:23:41 +1000

initramfs-tools (0.69ubuntu15) edgy; urgency=low

  * Add jmicron module to ide list.
    - Malone #63085

 -- Ben Collins <bcollins@ubuntu.com>  Wed,  4 Oct 2006 09:21:08 -0400

initramfs-tools (0.69ubuntu14) edgy; urgency=low

  * Remove stray "set -x" from scripts/local-premount/suspend.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Sep 2006 08:35:05 +1000

initramfs-tools (0.69ubuntu13) edgy; urgency=low

  * Fix a typo that prevented the passing of the resolution to uswsusp

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 22:09:24 +0100

initramfs-tools (0.69ubuntu12) edgy; urgency=low

  * Add support for high-res uswsusp

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 21:46:29 +0100

initramfs-tools (0.69ubuntu11) edgy; urgency=low

  * since we ship /usr/share/initramfs-tools/conf.d as well as
    /etc/initramfs-tools/conf.d, make sure mkinitramfs also reads from both,
    not only from the /etc location

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 10 Sep 2006 11:50:14 +0200

initramfs-tools (0.69ubuntu10) edgy; urgency=low

  * Create framebuffer device nodes unconditionally

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue,  5 Sep 2006 17:50:53 +0100

initramfs-tools (0.69ubuntu9) edgy; urgency=low

  * Mount /proc and /sys with more restrictive mount options. Ubuntu: #54530.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 23 Aug 2006 11:29:35 +0200

initramfs-tools (0.69ubuntu8) edgy; urgency=low

  * Add support for calling uswsusp

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 11 Aug 2006 09:53:30 +0100

initramfs-tools (0.69ubuntu7) edgy; urgency=low

  * Don't load vga16fb

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon,  7 Aug 2006 21:04:59 +0100

initramfs-tools (0.69ubuntu6) edgy; urgency=low

  * Change dependency to one on volumeid.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 25 Jul 2006 14:04:28 +0100

initramfs-tools (0.69ubuntu5) edgy; urgency=low

  * Add dependency on libvolumeid0 so we can get the vol_id tool.
  * On fresh installation, after finding the active swap partition, store
    the UUID if possible.
  * On upgrade from dapper, rewrite the RESUME= line to use the UUID of the
    partition if possible.

  * Fix bug in previous patch, should check for UUID= or LABEL= before
    testing the existance of the "file".
  * Also force stat to dereference the /dev/disk/by-* symlinks.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 24 Jul 2006 22:58:49 +0100

initramfs-tools (0.69ubuntu4) edgy; urgency=low

  * scripts/local-premount/suspend: Check for UUID= or LABEL= on the
    start of $resume, and use /dev/disk/by-{uuid,label} if found.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 21 Jul 2006 17:58:34 +0100

initramfs-tools (0.69ubuntu3) edgy; urgency=low

  * debian/initramfs-tools.install, debian/initramfs-tools.preinst,
    debian/initramfs-tools.postinst: Copy default modules file in the
    postinst (when it's actually available) rather than in the preinst (when
    it isn't). Copy it from /usr/share/initramfs-tools/ rather than from
    /usr/share/doc/initramfs-tools/examples/, per policy.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 10:04:26 +0100

initramfs-tools (0.69ubuntu2) edgy; urgency=low

  * debian/initramfs-tools.preinst: Make sure /etc/initramfs-tools and
    /etc/initramfs-tools/conf.d exist before trying to write to them.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 09:19:05 +0100

initramfs-tools (0.69ubuntu1) edgy; urgency=low

  [ Jeff Bailey ]
  * Merge from debian unstable.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 12 Jul 2006 19:22:22 -0400

initramfs-tools (0.69) unstable; urgency=low

  * scripts/local-premount/suspend, scripts/local-premount/resume: Rename
    to the later as the script resumes from resume arg.

  * init: Parse for noresume and only export resume if it is not set.
    Allows boot scripts to check for it's eventual existence.
    Thanks David Härdeman <david@2gen.com> for the suggestion.

  * update-initramfs: Add option "-b directory" to override BOOTDIR.


=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@sternwelten.at>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.7.2.0

Package: initramfs-tools
Architecture: all
Depends: klibc-utils (>= 1.1.16-1), busybox-initramfs, cpio, volumeid
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for prepackaged
 2.6 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. From there on the mounting of the real root file system occurs in user
 space. klibc handles the boot-time networking setup. Having the root on NFS
 is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

## initramfs-tools 0.85eubuntu10

=== debian/changelog ===
initramfs-tools (0.85eubuntu10) feisty; urgency=low

  * As well as waiting for the existance of the root device node, also check
    to see whether we have a filesystem of some kind on it.  Some devices
    nodes (devmapper/LVM/EVMS, mdadm) will exist before they can be safely
    used.  LP: #103177.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 13 Apr 2007 10:51:27 +0100

initramfs-tools (0.85eubuntu9) feisty; urgency=low

  * Add patch to restore initramfs on failures. Taken from Debian's
    initramfs-tools git repo (5dfd85f416a10b1c41ca7005de38b58715c04472).
  * While we're here, remove snd_ps3 from autoload list on PS3. Isn't in
    initramfs. Installer will add it to /etc/modules.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 10 Apr 2007 11:05:45 -0400

initramfs-tools (0.85eubuntu8) feisty; urgency=low

  * Add support for the netboot variable, used by casper.  LP: #96072.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 30 Mar 2007 23:25:45 +0200

initramfs-tools (0.85eubuntu7) feisty; urgency=low

  * Use -Qb for ppc thermal modprobe's
  * Add snd_ps3 to ps3 module loads. Use -Qb here too.

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 29 Mar 2007 19:54:40 -0400

initramfs-tools (0.85eubuntu6) feisty; urgency=low

  * hook-functions: Add udf to dep_add_modules and auto_add_modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Mar 2007 19:47:51 +0000

initramfs-tools (0.85eubuntu5) feisty; urgency=low

  * Copy all of drivers/block/ to initramfs. Can't believe we didn't do this
    before.
  * Add init-premount hook to manually load modules for ps3. These modules do
    not have aliases or auto-load features, so have to do it by hand
    (ps3-system-bus).
  * For auto module inclusions, detect when we need to pack ps3 modules.

 -- Ben Collins <bcollins@ubuntu.com>  Thu,  1 Mar 2007 16:45:48 -0500

initramfs-tools (0.85eubuntu4) feisty; urgency=low

  * Remove the 10MB size restriction from /dev; this doesn't make sense for
    Ubuntu since we use /dev for initramfs/realfs handover and for things like
    bootchart. 

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 27 Feb 2007 15:00:54 +0000

initramfs-tools (0.85eubuntu3) feisty; urgency=low

  * Add aic94xx firmware hooks.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 21 Feb 2007 15:34:56 -0500

initramfs-tools (0.85eubuntu2) feisty; urgency=low

  * Don't load vga16fb on amd64 either. usplash 0.4-36 fixes things so that
    we don't need it (LP: #67545).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Feb 2007 09:55:05 +0000

initramfs-tools (0.85eubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change Build-Depends to Build-Depends-Indep.
    - Use busybox-initramfs for Depends.
    - RESUME UUID upgrade.
    - add_firmware addition to hook-functions.
    - Use copy_modules_dir for auto module copying.
    - noexec,nodev,nosuid options for /sys and /proc.
    - Do not source udev.conf.
    - Set BUSBOXDIR properly.
    - Keep kinit and gzip in initrd.
    - Use -Qb for for module loading to honor blacklists.
    - all_generic_ide script.
    - Only load vga16fb on amd64 (not i386).
    - Remove lvm local-top script (conflicts with lvm-common).
    - takeover=1 in update-initramfs.
    - Remove udev_helper local-top script. It loads ide-generic, and we don't
      want that.
      - Closes: #76872

 -- Ben Collins <bcollins@ubuntu.com>  Tue,  2 Jan 2007 20:28:59 -0500

initramfs-tools (0.85e) unstable; urgency=high

  Release "Qu'ils soient rouges, bleus ou blancs Il faudrait mieux les pendre"

  * initramfs-tools.8: Correct copy_exec() example. (closes: 403122)
    Add a better dir to copy_modules_dir() example.

  * mkinitramfs: Revert the sed magic busybox hardlinking for size reduction.
    Go for functionality. The klibc binaries are better tested and superior
    in some cases like sleep. Fixes several boot troubles. Thanks
    Benjamí Villoslada <benjami@bitassa.cat> for the report. (closes: 403224)
    Thanks Jurij Smakov <jurij@debian.org> for pinpointing the trouble.

  * hook-functions: Add all drivers/ata drivers to initramfs that exist for
    uname >= 2.6.19 (closes: 403309) urgency high.

  * scripts/init-top/framebuffer: Fix syntax by closing the brackets. Handle
    options of the form key:value, map kernel bootarg to module name for
    matroxfb. Thanks Rob Walker <rob@tenfoot.org.uk> for the patches
    (closes: 403667, 403669). Use posix regexes according to review by
    Jurij Smakov <jurij@debian.org>. Also protect all variables.

 -- maximilian attems <maks@sternwelten.at>  Wed, 20 Dec 2006 22:29:51 +0100

initramfs-tools (0.85d) unstable; urgency=high

  Release "Le gros ventre qu'engraisse L'suffrage universel"

  * update-initramfs: run_lilo() needs to show errors of lilo -t on failure
    and exit with failure message. Thanks David Anselmi <anselmi@anselmi.us>
    for report. (closes: 401331) Updated according to review by
    Jurij Smakov <jurij@debian.org>.

  * hook-functions: Add hppa zalon scsi module. (closes: 401229) urgency high

  * update-initramfs: Add warning for missing initramfs on update mode without
    takeover arg. Restructure altered_check, don't delete sha1sum on failure.
    Thanks Jurij Smakov <jurij@debian.org> for noticing.

   * mkinitramfs: Reduce size of initramfs by keeping 1 busybox copy.
     Thanks for the patch input to Russell Coker <russell@coker.com.au>.
     Thanks for the sed rework to Klaus Ita <deb.ian@worstofall.com>.
     (closes: 338405)

 -- maximilian attems <maks@sternwelten.at>  Thu, 14 Dec 2006 16:10:06 +0100

initramfs-tools (0.85c) unstable; urgency=medium

  Release "Pour être heureux vraiment Faut plus d'gouvernement"

  * hook-funcions: Show on verbose mode the added binaries and libraries.

  * update-initramfs: Don't silently fail, user won't be able to reboot.
    Thanks Mario Aeby for his blog entry.

  * debian/copyright: Moved to bzr.d.o repo location.



=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@sternwelten.at>
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.7.2.0

Package: initramfs-tools
Architecture: all
Depends: klibc-utils (>= 1.4.19-2), busybox-initramfs, cpio, module-init-tools, udev (>= 0.086-1), volumeid
Provides: linux-initramfs-tool
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on EVMS, MD, LVM2,
 LUKS or NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

## initramfs-tools 0.85eubuntu20

=== debian/changelog ===
initramfs-tools (0.85eubuntu20) gutsy; urgency=low

  * Updates for ps3 modules

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 04 Oct 2007 10:31:53 -0400

initramfs-tools (0.85eubuntu19) gutsy; urgency=low

  * Always mount loop-mount NTFS host filesystems read-write; ntfs-3g can't
    remount yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Sep 2007 23:36:24 +0100

initramfs-tools (0.85eubuntu18) gutsy; urgency=low

  * Use dpkg-trigger even in our own postinst, unless we're doing
    trigger processing or the running dpkg version doesn't support
    reflexive triggers.  This reduces update-initramfs runs from two per
    upgrade batch to one per batch.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 24 Aug 2007 15:45:38 +0100

initramfs-tools (0.85eubuntu17) gutsy; urgency=low

  * Use dpkg-trigger (if available and operational) to save on
    calls to update-initramfs.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 16 Aug 2007 16:03:52 +0100

initramfs-tools (0.85eubuntu16) gutsy; urgency=low

  * Load thermal modules on lpia as well.  This may need to change in
    the future to support hardware-specific features, but it's a start.


 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jul 2007 15:30:42 +1000

initramfs-tools (0.85eubuntu15) gutsy; urgency=low

  * Add support for loop=, loopflags=, and loopfstype= arguments, to allow
    the real root filesystem to be loop-mounted from a given file on the
    filesystem specified by root=.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jul 2007 16:46:19 +0100

initramfs-tools (0.85eubuntu14) gutsy; urgency=low
  
  * Add support for sunvnet and sunvdc in hook-functions.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 04 Jul 2007 18:59:22 +0200

initramfs-tools (0.85eubuntu13) gutsy; urgency=low

  * fix nfsroot handling if rootserver is specified with IP and colon in
    root-path (debian bug #387808)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 04 Jul 2007 10:19:49 +0200

initramfs-tools (0.85eubuntu12) gutsy; urgency=low

  * Add support for alternative prerequisites, specified as e.g.
    "kbd|console-tools" (note the lack of spaces around the "|").

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 01 Jun 2007 16:14:22 +0100

initramfs-tools (0.85eubuntu11) gutsy; urgency=low

  * Allow modules specified by force_load to be blacklisted.
  * Drop scripts/init-premount/thermal since this can be handled by using
    force_load now.

  * Make sure framebuffer modules can be blacklisted.

  * Drop mdrun script, since this can be handled entirely within the udev
    and initramfs scripts supplied by the mdadm package.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 May 2007 10:42:34 +0100

## initramfs-tools 0.85eubuntu36

=== debian/changelog ===
initramfs-tools (0.85eubuntu36) hardy; urgency=low

  * Drop dependency on volumeid, it's shipped by udev again.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 10 Apr 2008 14:00:46 +0100

initramfs-tools (0.85eubuntu35) hardy; urgency=low

  * hook-functions: Do not display find error messages if firmware directories
    cannot be found. (LP: #153743)
  * scripts/functions: Remove unneeded quotes. These were causing multiple
    mountroot fail hook entries to be run as one command.
  * scripts/local: Panic if the root device node cannot be found, or vol_id
    can't identify the volume on the device. This allows mdadm's mountroot fail
    hook to be reliably triggered, as the md device node exists even if the
    array cannot be brought up.
  * init: Add 2>&1 to the run-init line at the end of the file, to fix a long
    outstanding bug where init has no stderr.
  * scripts/local-premount/resume: Source /scripts/functions, thanks to
    Nikolaus Filus for the patch. (LP: #203429)

 -- Luke Yelavich <luke.yelavich@canonical.com>  Thu, 10 Apr 2008 00:48:51 +1000

initramfs-tools (0.85eubuntu34) hardy; urgency=low

  * Wow, somehow my fix for 129910 got removed. Re-implement. DO NOT USE -Qb
    for framebuffer. We need to ignore blacklist for forced vga= usage.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 18 Mar 2008 11:46:44 -0400

initramfs-tools (0.85eubuntu33) hardy; urgency=low

  * Edit scripts/local with patch from
    https://bugs.edge.launchpad.net/wubi/+bug/201750 comment 1
    "Cannot remount loopfiles inside of vfat"
    "The workaround involves mounting all loopinstallations rw to begin with"
    Closes LP: #201750

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Mar 2008 14:35:20 +0000

initramfs-tools (0.85eubuntu32) hardy; urgency=low

  * Drop -9 to gzip call in order to save time at a very small size
    penalty (< 1%)

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 14 Mar 2008 10:41:38 +0100

initramfs-tools (0.85eubuntu31) hardy; urgency=low

  * debian/initramfs-tools.preinst: If /etc/mkinitramfs/initramfs.conf was not
    modified, do not copy it over to /etc/initramfs-tools on a dapper->hardy
    upgrade, since this causes an unnecessary dpkg conffile prompt.
    (LP: #172853)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Mar 2008 19:19:59 +0100

initramfs-tools (0.85eubuntu30) hardy; urgency=low

  * Fix check for "ro" on /boot
    - LP: #197470

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 11 Mar 2008 14:41:15 -0400

initramfs-tools (0.85eubuntu29) hardy; urgency=low

  * Do not honor blacklists for vga=/video= parsing. We should always load the
    fb drivers in this case (since this is a manual operation on the part of
    the user)
    LP: #129910

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 11 Mar 2008 11:46:08 -0400

initramfs-tools (0.85eubuntu28) hardy; urgency=low

  * update-initramfs: remove failed ".new" initrd when creation is aborted.

 -- Kees Cook <kees@ubuntu.com>  Mon, 10 Mar 2008 15:25:03 -0700

initramfs-tools (0.85eubuntu27) hardy; urgency=low

  * Copy the initramfs image to a backup file, in the event that the /boot
    filesystem doesn't support hard links.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Fri, 07 Mar 2008 09:17:53 +1100

initramfs-tools (0.85eubuntu26) hardy; urgency=low

  * Loop for 5 seconds waiting for $suspend to show up.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 29 Feb 2008 15:34:35 -0500

initramfs-tools (0.85eubuntu25) hardy; urgency=low

  * scripts/functions:
    - Call all registered mountroot failure hooks, rather than
      stopping at one that has reported a failure.
    - Change the loop code that runs mountroot failure hooks, so we don't end up
      in an infinite loop.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Mon, 18 Feb 2008 11:59:07 +1100

initramfs-tools (0.85eubuntu24) hardy; urgency=low

  * Implement the initramfs-tools part of the initramfs error handling spec
  * update-initramfs:
    - Make a hard link to the original initramfs image, rather than moving
      it out of the way.
    - Create a new initramfs image to ${initramfs}.new, to ensure we still
      have a functional initramfs in case of failure. The original initramfs
      only gets replaced when a new image is successfully created.
  * scripts/functions:
    - Added add_mountroot_fail_hook function to allow scripts in
      init-premount to register a hook to allow extra information
      to be given to the user, in the event of a non-existant root
      device.
    - The panic function now runs any registered mountroot fail hooks that
      were previously registered, and only does so when passed the -r
      argument from the calling function.
  * scripts/local: Call the panic function with -r to run any registered
    mountroot fail hooks when a root device cannot be found.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Feb 2008 13:38:51 +1100

initramfs-tools (0.85eubuntu23) hardy; urgency=low

  * Fix broken test in ro_boot_check (LP: #187282).  It was matching ro
    as a subword.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 30 Jan 2008 10:35:28 -0500

initramfs-tools (0.85eubuntu22) hardy; urgency=low

  * Load virtio_pci for MODULES=most.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 23 Jan 2008 19:27:18 +0100

initramfs-tools (0.85eubuntu21) hardy; urgency=low

  * Drop code to increment the usplash progress bar after each message,
    instead this will be pulsating until the real system.  LP: #162397.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 13 Nov 2007 20:41:33 +0000

## initramfs-tools 0.85eubuntu39.1netbook1

=== debian/changelog ===
initramfs-tools (0.85eubuntu39.1netbook1) hardy; urgency=low

  * reduce_output.patch: Reduce output generated by initramfs

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 26 Aug 2008 21:11:50 +0000

initramfs-tools (0.85eubuntu39.1) hardy-proposed; urgency=low

  * Add vfat support to the initramfs (LP: #236021).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 30 May 2008 14:13:30 -0400

initramfs-tools (0.85eubuntu39) hardy-proposed; urgency=low

  * Provide a clearer error on mount failure of the Windows host
    filesystem (LP: #226622)

 -- Agostino Russo <agostino.russo@gmail.com>  Tue, 06 May 2008 23:55:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: initramfs-tools
 Architecture: all
-Depends: klibc-utils (>= 1.4.19-2), busybox-initramfs, cpio, module-init-tools, udev (>= 0.086-1), volumeid
+Depends: klibc-utils (>= 1.4.19-2), busybox-initramfs, cpio, module-init-tools, udev (>= 117-5)
 Provides: linux-initramfs-tool
 Description: tools for generating an initramfs
  This package contains tools to create and boot an initramfs for packaged 2.6

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

pre-build::
	chmod +x init mkinitramfs
	chmod +x hooks/*
	for x in `find scripts/ -maxdepth 1 -type d | tail -n+2`; do \
	  chmod -R +x $$x; \
	done

binary-install/initramfs-tools::
	install -m 644 -o 0 -g 0 debian/initramfs-tools.triggers \
		debian/initramfs-tools/DEBIAN/triggers

## initramfs-tools 0.85eubuntu39.2

=== debian/changelog ===
initramfs-tools (0.85eubuntu39.2) hardy-proposed; urgency=low

  * Whilst looping for the root filesystem, don't just rely on the existance
    of the block device and whether vol_id succeeds on it, but also make
    sure that udev is not currently active by calling "settle" on it.  This
    solves a race where mdadm or devmapper still has a lock on the device,
    but the contents are ready which will cause the mount call later to fail.
    LP: #244926.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 02 Jul 2008 16:44:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 pre-build::
 	chmod +x init mkinitramfs

## initramfs-tools 0.85eubuntu39.2netbook1

=== debian/changelog ===
initramfs-tools (0.85eubuntu39.2netbook1) hardy; urgency=low

  * reduce_output.patch: Reduce output generated by initramfs 

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 03 Sep 2008 18:03:08 +0000

## initramfs-tools 0.85eubuntu39.3

=== debian/changelog ===
initramfs-tools (0.85eubuntu39.3) hardy-proposed; urgency=low

  * Functionality backported from Intrepid to Hardy to support booting
    degraded RAID, LP: #290885.
  * scripts/functions: Adjust the mountroot failure hooks framework to
    that used in Intrepid, renaming the function so as not to break other
    callers in Hardy
  * scripts/local: Add get_fstype() and root_missing() helper functions
    and fix the root_missing loop

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 06 Nov 2008 22:11:27 +0100

## initramfs-tools 0.85eubuntu39.3netbook1

=== debian/changelog ===
initramfs-tools (0.85eubuntu39.3netbook1) netbook-common; urgency=low

  * Merge new Hardy release.

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 02 Mar 2009 18:07:55 -0500

## initramfs-tools 0.85g~bpo.1

=== debian/changelog ===
initramfs-tools (0.85g~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- Norbert Tretkowski <nobse@backports.org>  Fri, 13 Apr 2007 10:25:37 +0200

initramfs-tools (0.85g) unstable; urgency=high

  * SECURITY scripts/functions: Set permission of created root dev in
    parse_numeric() to 600. This bug only affects lilo boots. Thanks
    Fabian Pietsch <fabian@canvon.dyndns.org> and Goswin von Brederlow
    <brederlo@informatik.uni-tuebingen.de> for patch input. (closes: 417995)

  * debian/control: Change Uploaders email.

 -- maximilian attems <maks@debian.org>  Fri,  6 Apr 2007 09:19:13 +0200

initramfs-tools (0.85f) unstable; urgency=high

  Release "Au lieu d'aller voter Casse leur la margoulette"

  * update-initramfs: Grub _doesn't_ clear LILO string in mbr, but the inverse
    is done. Fix mbr_check() to first check for GRUB. Fixes accidental lilo
    call in the case that Grub is the used bootloader. (closes: 409820)
    Thanks Michael Prokop <mika@grml.org> for bringing up the case.

  * initramfs.conf.5, mkinitramfs.5: Fix typos. Document version.
    (closes: 405157, 405190, 405194)

  * update-initramfs: Be more screamy about lilo error, people seem to
    overlook recent lilo failures.

  * scripts/init-top/framebuffer: Remove unused variables.

  * init: Export ROOTDELAY to let udev boot script handle eventual rootdelay.
    downgrades 401916

 -- maximilian attems <maks@sternwelten.at>  Wed,  7 Mar 2007 23:34:17 +0100

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>, Norbert Tretkowski <nobse@backports.org>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 4.1.0), cdbs
Standards-Version: 3.7.2.0

Package: initramfs-tools
Architecture: all
Depends: klibc-utils (>= 1.4.19-2), busybox (>= 1:1.01-3) | busybox-cvs-static (>= 20040623-1), cpio, module-init-tools, udev (>= 0.086-1)
Provides: linux-initramfs-tool
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on EVMS, MD, LVM2,
 LUKS or NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

pre-build::
	chmod +x init mkinitramfs
	chmod +x hooks/*
	for x in `find scripts/ -maxdepth 1 -type d | tail -n+2`; do \
	  chmod -R +x $$x; \
	done

## initramfs-tools 0.85i

=== debian/changelog ===
initramfs-tools (0.85i) stable; urgency=low

  * update-initramfs: mbr_check() fix for /dev/md/X naming.
  * hook-functions: Fix Xen boot with Lenny glibc.

 -- maximilian attems <maks@debian.org>  Wed, 04 Jun 2008 17:18:31 +0200

initramfs-tools (0.85h) stable; urgency=low

  * hook-functions: Add missing esp module to scsi modules list.
    Thanks Vincent Bernat <bernat@luffy.cx> for patch. (closes: 418977)

 -- maximilian attems <maks@debian.org>  Fri, 13 Apr 2007 17:22:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: initramfs-tools
 Section: utils
 Priority: optional
-Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>, Norbert Tretkowski <nobse@backports.org>
+Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Build-Depends: debhelper (>= 4.1.0), cdbs
 Standards-Version: 3.7.2.0
